#ifndef __BUTTON_H
#define __BUTTON_H




typedef enum BUTTON_State_enum 
{
  BUTTON_OFF, 
  BUTTON_AUTO, 
  BUTTON_MANUAL_ON
} button_state_t;


button_state_t BUTTON_Exec(void);
button_state_t BUTTON_GetMode(void);
void BUTTON_SetModeOff(void);
void BUTTON_SetModeAuto(void);

#endif